Get Database
get
/applications/{applicationName}/databases/{databaseName}
Returns details of database with specified database name and application name.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Database details returned successfully.
400 Response
Bad Request
Failed to get database.
500 Response
Internal Server Error.
Examples
The following example shows how to get information about an Essbase cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/ASOSamp/databases/Basic?links=none" -H "Accept:application/json" -H "Content-Type:application/json" -u %User%:%Password%Example of Response Body
{
"name" : "Basic",
"application" : "ASOSamp",
"owner" : "admin",
"creationTime" : 1658867730017,
"status" : "started",
"startTime" : 1663814133852,
"type" : "ASO",
"description" : "",
"modifiedBy" : "admin",
"modifiedTime" : 1663814134304,
"startStopDBAllowed" : true,
"inspectDBAllowed" : true,
"dbVariablesSetting" : {
"showVariables" : true,
"updateVariables" : true
}
}